[SCM] live-boot branch, debian-old-2.0, updated. debian/2.0.4-1-3-g5207256

Marco Amadori amadorim at vdavda.com
Mon Sep 13 15:36:21 UTC 2010


The following commit has been merged in the debian-old-2.0 branch:
commit 5207256fc43b965b1816f2d874ea227b039321d0
Author: Marco Amadori <amadorim at vdavda.com>
Date:   Mon Sep 13 17:15:29 2010 +0200

    Added support for empty (initial) snapshots.
    
    Signed-off-by: Marco Amadori <amadorim at vdavda.com>

diff --git a/scripts/live b/scripts/live
index 169ffb4..0e1b2f4 100755
--- a/scripts/live
+++ b/scripts/live
@@ -1013,8 +1013,16 @@ try_snap ()
 				cpioargs='--unconditional --make-directories'
 			fi
 
-			cd "${snap_mount}" && zcat "${snapback}/${snapfile}" | $cpiopath $cpioargs --extract --preserve-modification-time --no-absolute-filenames --sparse 2>/dev/null
-			RES="$?"
+			if [ -s "${snapback}/${snapfile}" ]
+			then
+				BEFOREDIR="$(pwd)"
+				cd "${snap_mount}" && zcat "${snapback}/${snapfile}" | $cpiopath $cpioargs --extract --preserve-modification-time --no-absolute-filenames --sparse 2>/dev/null
+				RES="$?"
+				cd "${BEFOREDIR}"
+			else
+				log_warning_msg "${snapback}/${snapfile} is empty, adding it for sync on reboot."
+				RES="0"
+			fi
 
 			if [ "${RES}" != "0" ]
 			then

-- 
live-boot



More information about the debian-live-changes mailing list